> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-mda-troubleshooting-section.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Cursor

> Learn how to use Cursor to create checks.

Cursor is a code editor that supports AI-powered code completion and suggestions.

## Cursor

<Tabs>
  <Tab title="Mac and Linux">
    ```bash setup-cursor-rules theme={null}
    mkdir -p .cursor/rules && curl -o .cursor/rules/checkly.mdc  "https://www.checklyhq.com/docs/ai/checkly.rules.md" -L
    ```

    Now make sure to add the new `checkly.mdc` file to your context.

    You can now ask Cursor to install the `checkly` NPM package and generate code for API Checks, Browser checks, Multistep checks
    and all other constructs. Make sure to use the `checkly.mdc` file as context for your questions.
  </Tab>

  <Tab title="Windows">
    ```bash setup-cursor-rules-windows theme={null}
    New-Item -ItemType Directory -Path ".cursor\rules" -Force
    Invoke-WebRequest -Uri "https://www.checklyhq.com/docs/ai/checkly.rules.md" -OutFile ".cursor\rules\checkly.mdc"
    ```
  </Tab>
</Tabs>

You can now reference the `checkly.mdc` using `@checkly.mdc` file in your Cursor chats and ask it to generate code for
API Checks, Browser checks, Multistep checks and all other constructs.
